<settings xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">

    <servers>
        <server>
            <id>gcube-staging-jenkins</id>
            <username>{{ gcube_maven_user }}</username>
            <password>{{ gcube_maven_pwd }}</password>
        </server>
    </servers>
    <profiles>
        <profile>
            <id>jenkins-staging</id>
            <repositories>

                <repository>
                    <id>gcube-releases</id>
                    <name>gCube Releases</name>
                    <url>http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-releases</url>
                    <snapshots>
                        <enabled>false</enabled>
                        <updatePolicy>never</updatePolicy>
                    </snapshots>
                    <releases>
                        <enabled>true</enabled>
                        <updatePolicy>never</updatePolicy>
                    </releases>
                </repository>

                <repository>
                    <id>gcube-staging-jenkins</id>
                    <name>gCube Jenkins Staging</name>
                    <url>http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-staging-jenkins</url>
                    <snapshots>
                        <enabled>false</enabled>
                        <updatePolicy>never</updatePolicy>
                    </snapshots>
                    <releases>
                        <enabled>true</enabled>
                        <updatePolicy>never</updatePolicy>
                    </releases>
                </repository>

                <repository>
                    <id>gcube-staging</id>
                    <name>gCube Staging</name>
                    <url>http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-staging/</url>
                    <snapshots>
                        <enabled>false</enabled>
                        <updatePolicy>never</updatePolicy>
                    </snapshots>
                    <releases>
                        <enabled>true</enabled>
                        <updatePolicy>never</updatePolicy>
                    </releases>
                </repository>

                <repository>
                    <id>gcube-externals</id>
                    <name>gCube Externals</name>
                    <url>http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-externals</url>
                    <snapshots>
                        <enabled>false</enabled>
                        <updatePolicy>never</updatePolicy>
                    </snapshots>
                    <releases>
                        <enabled>true</enabled>
                        <updatePolicy>never</updatePolicy>
                    </releases>
                </repository>
            </repositories>
        </profile>
    </profiles>

    <activeProfiles>
        <activeProfile>jenkins-staging</activeProfile>
        <activeProfile>dry-run</activeProfile>
    </activeProfiles>

</settings>
